% Script to make ERB filters

clear

how_many_filters = 200;
bmdist = linspace(7.35,30,how_many_filters);
mod_freqs = flipud(greenwood_inverse( bmdist, 'dist' )')';

rate = 4000 + 12000 * ( mod_freqs > 1400 );

for n = 1:length(mod_freqs)

   % use a filter bank like Allen's
   BW = cbw(mod_freqs(n));  % hz
   %BW = greenwood_inverse(mod_freqs(n),'band');	
   Wx = [ (mod_freqs(n)-BW/2) min([(mod_freqs(n)+BW/2) 7990]) ]*2/rate(n);
   [Bk,Ak]=ellip(5,.02,60,Wx);
   Bk1(n,:) = Bk;
   Ak1(n,:) = Ak;

   if max(abs(roots(Ak))) > 0.9999 
      disp(sprintf('Unstable poles in A1k %i',n))
   end

end


%save erb_filters.mat
