%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program generates a mask for speech modification from the user 
% input patch and its gain.
% Input: reg_xy -- the x and y coordinates of the user input polygon
%        gain -- the gain for the polygon
%        mask_size -- the width and height of the mask, it's the same as
%        the width and height of the AIgram.
% Output:
%        mask -- the mask file, its size is the same as the AIgram.
%   Author:      Feipeng Li
%   E-mail:      fli2@uiuc.edu
%   Time-stamp:  2007-06-15
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function mask = gen_mask(reg_xy, gain, width, height)

xy = reg_xy;
            
xv = [xy(1,:), xy(1,1)];
yv = [xy(2,:), xy(2,1)];
          
mask = poly2mask(xv, yv, height, width);
p = find(~mask); mask = mask*gain; mask(p) = 1;

