%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program return a list of the sounds (utterances) used for an
% experiment.
% Input: cur_exp - the name of the experiment
% Return: sndlist - the utterances appeared in the experiment
%   Author:      Feipeng Li
%   E-mail:      fli2@uiuc.edu
%   Time-stamp:  2007-06-05
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function sndlist = get_sndlist(cur_exp)

global configs;

sndlist = [];
if strcmp(cur_exp, 'MN64')
    load(configs.mn64_sndlist);
    sndlist = MN64_SndList;
elseif strcmp(cur_exp, 'MN16R')
    load(configs.mn16r_sndlist);
    sndlist = MN16R_SndList;
elseif strcmp(cur_exp, 'ALL-SWN')
    load(configs.all_sndlist);
    sndlist = All_SndList;
elseif strcmp(cur_exp, 'ALL-WN')
    load(configs.all_sndlist);
    sndlist = All_SndList;
elseif strcmp(cur_exp, 'CV06SWNC')||strcmp(cur_exp, 'CV06SWNV')
    load(configs.cv06swn_sndlist);
    sndlist = CV06SWN_SndList;
elseif strcmp(cur_exp, 'CV06WNC')||strcmp(cur_exp, 'CV06WNV')
    load(configs.cv06wn_sndlist);
    sndlist = CV06WN_SndList;
end