%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program initialize the popup menu 'sound' on the left panel
%   Author:      Feipeng Li
%   E-mail:      fli2@uiuc.edu
%   Time-stamp:  2007-06-05
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function vows = initialize_popup_vowels(handles, cur_exp, cur_talker, cur_con)

global configs;

vows = configs.vowels;

cur_sndlist = get_sndlist(cur_exp);
% find out which are the consonants available for the given talker and vowel
sndlist_out = query_sndlist( cur_sndlist, cur_talker, cur_con, '');
cur_vows = unique(sort(sndlist_out.vow));

for i=1:length(vows)
    if ~sum(strcmp(cur_vows, vows{i}))
        configs.vow_yesno(i) = 0;
    else
        configs.vow_yesno(i) = 1;
    end
end

for i=1:length(vows)
    if (~configs.vow_yesno(i))
        vows{i} = ['- ' vows{i}]; % the talker does not exist 
    else
        vows{i} = ['+ ' vows{i}]; % the talker does exist for the consonant and vowel
    end
end

set(handles.popvows, 'String', vows); 