function varargout = set_wavfile_path(varargin)
% SET_WAVFILE_PATH M-file for set_wavfile_path.fig
%      SET_WAVFILE_PATH, by itself, creates a new SET_WAVFILE_PATH or raises the existing
%      singleton*.
%
%      H = SET_WAVFILE_PATH returns the handle to a new SET_WAVFILE_PATH or the handle to
%      the existing singleton*.
%
%      SET_WAVFILE_PATH('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in SET_WAVFILE_PATH.M with the given input arguments.
%
%      SET_WAVFILE_PATH('Property','Value',...) creates a new SET_WAVFILE_PATH or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before set_wavfile_path_OpeningFunction gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to set_wavfile_path_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help set_wavfile_path

% Last Modified by GUIDE v2.5 05-Jul-2007 14:20:15

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @set_wavfile_path_OpeningFcn, ...
                   'gui_OutputFcn',  @set_wavfile_path_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before set_wavfile_path is made visible.
function set_wavfile_path_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to set_wavfile_path (see VARARGIN)

% Choose default command line output for set_wavfile_path
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes set_wavfile_path wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = set_wavfile_path_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes on button press in butwavdir.
function butwavdir_Callback(hObject, eventdata, handles)
% hObject    handle to butwavdir (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

global configs;

directory_name = uigetdir(configs.syspath,'Wav File Path');

if (directory_name~=0)
    set(handles.editWavPath, 'String', directory_name);
end

function editWavPath_Callback(hObject, eventdata, handles)
% hObject    handle to editWavPath (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of editWavPath as text
%        str2double(get(hObject,'String')) returns contents of editWavPath as a double


% --- Executes during object creation, after setting all properties.
function editWavPath_CreateFcn(hObject, eventdata, handles)
% hObject    handle to editWavPath (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in butOK.
function butOK_Callback(hObject, eventdata, handles)
% hObject    handle to butOK (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

directory_name = get(handles.editWavPath, 'String');

% if it is hierarchical dir structure
wav_files = dir([directory_name '/*']);
dir_names = {wav_files.name};

% if it is flat dir structure
wav_files = dir([directory_name '/*.wav']);
wav_names = {wav_files.name};

num_talkers = 18; num_utterance = 18*16; % the actual number is 958
% if it is hierarchical dir structure, the length of the wav_names (number 
% of talkers) should > 18; if it is flat dir structure, the number of wavs
% should be over 900.
if (length(wav_names)>num_utterance)||(length(dir_names)>num_talkers)
    
    global configs;
    
    configs.wavpath = directory_name;
    
    close(gcf);
else
    msgbox('Please specify a right path for the wav files!');
end
    

% --- Executes on button press in butCancel.
function butCancel_Callback(hObject, eventdata, handles)
% hObject    handle to butCancel (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

close(gcf);
