%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program is used to create CV06_SndList.mat, which contains a list 
% all the utterances appeared in this experiment.
%   Author:      Feipeng Li at HSR, Beckman Institute, UIUC
%   Time-stamp:  2006-11-07
%   E-mail:      fli2@uiuc.edu
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function create_CV06_SndList()

if exist('CV06index.mat')
    load CV06index.mat;
end

Talker_Stim=idr.utter;

Talker_Stim = strrep(Talker_Stim, 'xs', 'S');
Talker_Stim = strrep(Talker_Stim, 'xz', 'Z');

for i=1:length(Talker_Stim)
    Talker{i} = Talker_Stim{i}(1:4);
    Consonant{i} = Talker_Stim{i}(6);
    Vowel{i} = Talker_Stim{i}(7:end);
end

Consonant = strrep(Consonant, 'S', 'xs');
Consonant = strrep(Consonant, 'Z', 'xz');

CV06SWN_SndList.tlk = Talker;
CV06SWN_SndList.con = Consonant;
CV06SWN_SndList.vow = Vowel;

save('CV06SWN_SndList.mat', 'CV06SWN_SndList');
