%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program is used to analyze the data of normal hearing
% listeners, Hearing Impaired.
%   Author:      Feipeng Li at HSR, Beckman Institute, UIUC
%   Time-stamp:  2006-11-07
%   E-mail:      fli2@uiuc.edu
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function create_MN64_CP()

if exist('MN64.mat')
    load MN64.mat;
else
    pullNHdata('mn64data.zip');
    load MN64.mat;
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%-- Generate confusion matrixs for each listener --%%
CVs = 'p t k f T s S b d g v D z Z m n ?'; % the order introduced by MN55 paper, not the order of Resp!

for i=1:length(Talker_Stim)
    Data = query(NHDB, 'talker_stim', Talker_Stim{i});
    Table = genTAB(Data, Resp, SNR);
    CP.Table = Table; CP.Utterance = Talker_Stim{i};
    CP_MN64{i} = CP;
end

% CM is ordered by CVs, NHPI is ordered by Stim.
SNR_MN64 = SNR; SNR_MN64(end) = 18; Stim_MN64 = Stim; Resp_MN64 = Resp;
save('MN64_CP.mat', 'CP_MN64', 'SNR_MN64', 'Stim_MN64', 'Resp_MN64');